extern crate bindgen;

use std::path::{PathBuf};


fn main() {

    // Tell cargo to invalidate the built crate whenever the wrapper changes
    println!("cargo:rerun-if-changed=../testproject/Core/Inc/main.h");
      
    // The bindgen::Builder is the main entry point
    // to bindgen, and lets you build up options for
    // the resulting bindings.
    let bindings = bindgen::Builder::default()
        // The input header we would like to generate
        // bindings for.
        .use_core()
        .detect_include_paths(true)        
        .clang_arg("-IE:/code/stm32cube2rust/mgr/TestData/testproject/Core/inc")
.clang_arg("-IE:/code/stm32cube2rust/mgr/TestData/testproject/Drivers/STM32WBxx_HAL_Driver/inc")
.clang_arg("-IE:/code/stm32cube2rust/mgr/TestData/testproject/Drivers/CMSIS/Device/ST/STM32WBxx/Include")
.clang_arg("-IE:/code/stm32cube2rust/mgr/TestData/testproject/Drivers/CMSIS/Core/Include/")

        .clang_arg("-DSTM32WB55xx")
        .clang_arg("-DUSE_HAL_DRIVER")
                                                       
        .header("../testproject/Core/Inc/main.h")        
        // Finish the builder and generate the bindings.
        .generate()
        // Unwrap the Result and panic on failure.
        .expect("Unable to generate bindings");

    bindings
        .write_to_file(PathBuf::from("./src/bindings.rs"))
        .expect("Couldn't write bindings!");

}
